package it.integry.integrywmsnative.gest.contab_doc_interni.dto;

import it.integry.integrywmsnative.core.data_store.db.entity.SqlMtbColr;
import it.integry.integrywmsnative.core.di.BindableBoolean;

public class DialogChooseRowFromListaDocRowsListModel {

    private String codMart;
    private String descrizione;
    private String qtaOrdReadable;
    private String barcode;
    private boolean isNew;
    private SqlMtbColr originalModel;
    private BindableBoolean checked = new BindableBoolean(false);

    public DialogChooseRowFromListaDocRowsListModel() {
    }

    public BindableBoolean getChecked() {
        return checked;
    }

    public DialogChooseRowFromListaDocRowsListModel setChecked(BindableBoolean checked) {
        this.checked = checked;
        return this;
    }

    public void toggleCheck() {
        this.checked.set(!this.checked.get());
    }

    public String getCodMart() {
        return codMart;
    }

    public DialogChooseRowFromListaDocRowsListModel setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public DialogChooseRowFromListaDocRowsListModel setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getQtaOrdReadable() {
        return qtaOrdReadable;
    }

    public DialogChooseRowFromListaDocRowsListModel setQtaOrdReadable(String qtaOrdReadable) {
        this.qtaOrdReadable = qtaOrdReadable;
        return this;
    }

    public String getBarcode() {
        return barcode;
    }

    public DialogChooseRowFromListaDocRowsListModel setBarcode(String barcode) {
        this.barcode = barcode;
        return this;
    }

    public boolean isNew() {
        return isNew;
    }

    public DialogChooseRowFromListaDocRowsListModel setNew(boolean aNew) {
        isNew = aNew;
        return this;
    }

    public SqlMtbColr getOriginalModel() {
        return originalModel;
    }

    public DialogChooseRowFromListaDocRowsListModel setOriginalModel(SqlMtbColr originalModel) {
        this.originalModel = originalModel;
        return this;
    }
}
